From a22b7decff3e550e5dd683482fe1f27de9742af5 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Jan 04 2021 04:08:37 +0000
Subject: [PATCH 2032/2232] Add ui test of extern function with body


---

diff --git a/tests/ui/function_with_body.rs b/tests/ui/function_with_body.rs
new file mode 100644
index 0000000..52be79a
--- /dev/null
+++ b/tests/ui/function_with_body.rs
@@ -0,0 +1,8 @@
+#[cxx::bridge]
+mod ffi {
+    unsafe extern "C++" {
+        fn f() {}
+    }
+}
+
+fn main() {}
diff --git a/tests/ui/function_with_body.stderr b/tests/ui/function_with_body.stderr
new file mode 100644
index 0000000..ea54f5b
--- /dev/null
+++ b/tests/ui/function_with_body.stderr
@@ -0,0 +1,5 @@
+error: unsupported foreign item
+ --> $DIR/function_with_body.rs:4:9
+  |
+4 |         fn f() {}
+  |         ^^^^^^^^^

